﻿//Class specific to a target moving across the bottom of the screen

class Target{

    private var speed:Number = .6; //speed with which targets move
	public var ind:Number;  
	private var mc:MovieClip;
	
	public function Target(index:Number, parent:MovieClip){
		
		
		this.ind = index;  //index of the symbol name
		var depth:Number = parent.getNextHighestDepth();
		this.mc = parent.attachMovie("p"+this.ind, "p"+this.ind, depth);
		
		//trace("attached target p"+this.ind+" at depth "+depth);
		
		this.mc._xscale = 88;
		this.mc._yscale = 88;
		this.mc._alpha = 85;
		
	}

	//this is the left-moving part -- called from targetManager on every frame
	public function moveMC(){
		
		this.mc._x = this.mc._x - speed;
				
	}
	
	public function killMe():Void {
		this.mc.removeMovieClip();
	}
	
	public function get x () :Number { return this.mc._x; }
	public function set x (val:Number) { this.mc._x = val; }
	
	public function get y () :Number { return this.mc._y; }
	public function set y (val:Number) { this.mc._y = val; }



}