﻿/**
 * display the score on-screen.
 */
class ScoreDisplay {
	private var mc:MovieClip;
	
	public function ScoreDisplay (parent:MovieClip, depth:Number) {
		this.initMC(parent, depth);
		this.reset();
	}
	
	private function initMC (parent:MovieClip, depth:Number) :Void {
		this.mc = parent.attachMovie("scoreDisplay", "scoreDisplay", depth);
		this.mc._x = 5;
		this.mc._y = 5;
	}
	
	public function add (val:Number) :Void {
		this.score += val;
	}
	
	public function reset () :Void {
		this.score = 0;
	}
	
	
	public function killMe():Void {
		
		//trace("REMOVED!!!!");
		this.mc.removeMovieClip();
	}
	
	/**
	 * use a getter to grab the current score from the textfield,
	 * and a setter to write the score to the textfield.
	 */
	public function get score () :Number { return parseInt(this.mc.txt.text); }
	public function set score (val:Number) :Void { this.mc.txt.text = val.toString(); }
}